Skip to main content
Docs

useSignUp() | Vue

The useSignUp() composable provides access to the object, which allows you to check the current state of a sign-up attempt and manage the sign-up flow. You can use this to create a custom sign-up flow.

Returns

  • Name
    isLoaded
    Type
    Ref<boolean>
    Description

    A boolean that indicates whether Clerk has completed initialization. Initially false, becomes true once Clerk loads.

  • Name
    setActive()
    Type
    Ref<(params: ) => Promise<void>>
    Description

    A function that sets the active session.

  • Name
    signUp
    Type
    Ref<>
    Description

    An object that contains the current sign-up attempt status and methods to create a new sign-up attempt.

How to use the useSignUp() composable

Check the current state of a sign-up

The following example uses the useSignUp() hook to access the object, which contains the current sign-up attempt status and methods to create a new sign-up attempt. The isLoaded property is used to handle the loading state.

SignUpStep.vue
<script setup>
import { useSignUp } from '@clerk/vue'

const { isLoaded, signUp } = useSignUp()
</script>

<template>
  <div v-if="!isLoaded">
    <!-- Handle loading state -->
  </div>

  <div v-else>The current sign-up attempt status is {{ signUp?.status }}.</div>
</template>

Feedback

What did you think of this content?

Last updated on

Skip to Content
Clerk logo

Clerk Docs

Ctrl + K
Go to clerk.com

useSignUp()

The useSignUp() hook gives you access to the SignUp object, which allows you to check the current state of a sign-up. This is also useful for creating a custom sign-up flow.

Usage

Check the current sign-up status

pages/sign-up.tsx
import { useSignUp } from "@clerk/nextjs"; export default function SignUpStep() { const { isLoaded, signUp } = useSignUp(); if (!isLoaded) { // handle loading state return null; } return <div>The current sign-up attempt status is {signUp.status}.</div>; }

Sign up a user with a custom flow

pages/signup.tsx
import { useSignUp } from "@clerk/nextjs"; import { useState } from "react"; export default function SignUp() { const [emailAddress, setEmailAddress] = useState(""); const [password, setPassword] = useState(""); const { isLoaded, signUp, setActive } = useSignUp(); if (!isLoaded) { // handle loading state return null; } async function submit(e) { e.preventDefault(); // Check the sign up response to // decide what to do next. await signUp .create({ emailAddress, password, }) .then((result) => { if (result.status === "complete") { console.log(result); setActive({ session: result.createdSessionId }); } else { console.log(result); } }) .catch((err) => console.error("error", err.errors[0].longMessage)); } return ( <form onSubmit={submit}> <div> <label htmlFor="email">Email</label> <input type="email" value={emailAddress} onChange={(e) => setEmailAddress(e.target.value)} /> </div> <div> <label htmlFor="password">Password</label> <input type="password" value={password} onChange={(e) => setPassword(e.target.value)} /> </div> <div> <button>Sign up</button> </div> </form> ); }
ValuesDescription
isLoadedA boolean that is set to false until Clerk loads and initializes.
setActive()A function that sets the active session. In most cases, this should be used over setSession().
setSession()A function that sets the active session.
signUpAn object that contains the current sign-up attempt status and methods to create a new sign-up attempt.

What did you think of this content?

Clerk © 2023